System.ServiceModel 4.0.0.0 System.Collections.Generic.SynchronizedKeyedCollection<System.String,System.Uri> System.String System.Uri

This collection is used by hosts to store base addresses for a service by scheme name.

Provides a thread-safe collection that contains URIs that are keyed by their transport scheme name.

- Constructor
  4.0.0.0
  System.ParamArray
  To be added.
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.String `` To be added.

  Gets the key for a specified URI from the collection.

  The key for the specified URI from the collection.

  The whose key is being retrieved.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Inserts a URI into the collection at a specified location.

  The zero-based index that specifies the insertion location for the item in the collection. The to be inserted into the collection.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Replaces a URI at a specified location of the collection with a new URI.

  The zero-based index that specifies the insertion location for the URI in the collection. The to be placed into the collection.